## xapp 2.2.15

=== debian/changelog ===
xapp (2.2.15-2) unstable; urgency=medium

  * d/control: remove gist from xapps-common recommends and add
    netcat. Thanks to Thomas Uhle (Closes: #1023151)
  * debian/patches: add a patch to fix the pastebin path in
    upload-system-info. Thanks to Thomas Uhle

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 04 Nov 2022 16:37:43 +0100

xapp (2.2.15-1) unstable; urgency=medium

  [ Joshua Peisach ]
  * New upstream version 2.2.15

  [ Fabio Fantoni ]
  * Update symbols

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 05 Sep 2022 20:51:30 +0200

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Norbert Preining <norbert@preining.info>,
 Christoph Martin <martin@uni-mainz.de>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-python3,
 dpkg-dev (>= 1.15.1),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libdbusmenu-gtk3-dev,
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libx11-dev,
 libxkbfile-dev,
 meson (>= 0.40.0),
 python-gi-dev,
 python3,
 valac,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp
Vcs-Git: https://salsa.debian.org/cinnamon-team/xapp.git

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Introspection data for Xapp
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains the introspection data for Xapp.
Breaks: cinnamon (<< 5.2), cinnamon-screensaver (<< 4.0)

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-xapp-1.0 (= ${binary:Version}),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libxapp1 (= ${binary:Version}),
 libxkbfile-dev,
 ${misc:Depends},
Description: XApp library - development files
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package provides the include files and static library for the Xapp
 library functions.

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libgnomekbd8,
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: XApp library
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This library is used by several Xapp apps.
Replaces: xapps-common (<< 2.0.6-2~)
Breaks: nemo (<< 5.2), xapps-common (<< 2.0.6-2~)

Package: xapp
Architecture: any
Depends:
 libgnomekbd8,
 libxapp1 (= ${binary:Version}),
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: libxapp1 (<< 2.2.6-1~)
Replaces: libxapp1 (<< 2.2.6-1~)
Description: Libraries and common resources for multiple desktop environments
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains a gtk module and sn-watcher binary

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends: python3, python3-gi, xdg-utils, ${misc:Depends}, ${python3:Depends}
Recommends: inxi, netcat
Description: Files that are common across Xapp desktop applications
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).
Breaks: cinnamon (<< 4.0)

Package: xapps-doc
Section: doc
Architecture: all
Depends: devhelp, ${misc:Depends}
Description: Libxapp documentation
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains documentation for Xapp library

## xapp 2.2.15%2Belsie

=== debian/changelog ===
xapp (2.2.15+elsie) vanessa; urgency=medium

  [ Bobby Rong ]
  * libxapp: add missing gio-unix-2.0 dependency (#156)

  [ Michael Webster ]
  * xapp-status-icon-monitor.c: Fix copy/paste error.
  * xapp-status-icon.c: Make XAppStatusIconState per-process.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Sep 2022 15:37:59 +0100

xapp (2.2.14) vanessa; urgency=medium

  [ Michael Webster ]
  * mate status applet: Adjust icon relative sizes to the panel height.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 Jul 2022 21:11:46 +0200

xapp (2.2.13) vanessa; urgency=medium

  [ Michael Webster ]
  * xapp-icon-chooser-dialog: Don't lower-case paths.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 15:23:04 +0200

## xapp 2.2.15+vanessa

=== debian/changelog ===
xapp (2.2.15+vanessa) vanessa; urgency=medium

  [ Bobby Rong ]
  * libxapp: add missing gio-unix-2.0 dependency (#156)

  [ Michael Webster ]
  * xapp-status-icon-monitor.c: Fix copy/paste error.
  * xapp-status-icon.c: Make XAppStatusIconState per-process.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Sep 2022 15:37:59 +0100

## xapp 2.4.1

=== debian/changelog ===
xapp (2.4.1-1) unstable; urgency=medium

  [ Joshua Peisach ]
  * New upstream version 2.4.1

  [ Fabio Fantoni ]
  * update symbols

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 20 Nov 2022 17:59:17 +0100

=== debian/control ===
--- 
+++ 
@@ -13,19 +13,18 @@
  debhelper-compat (= 13),
  dh-sequence-gir,
  dh-sequence-python3,
- dpkg-dev (>= 1.15.1),
- gobject-introspection (>= 0.10.2-1~),
- gtk-doc-tools (>= 1.4),
- intltool (>= 0.40.6),
+ gobject-introspection,
+ gtk-doc-tools,
+ intltool,
  libdbusmenu-gtk3-dev,
- libgdk-pixbuf2.0-dev (>= 2.22.0),
- libgirepository1.0-dev (>= 0.10.2-1~),
- libglib2.0-dev (>= 2.37.3),
+ libgdk-pixbuf2.0-dev,
+ libgirepository1.0-dev,
+ libglib2.0-dev,
  libgnomekbd-dev,
- libgtk-3-dev (>= 3.3.16),
+ libgtk-3-dev,
  libx11-dev,
  libxkbfile-dev,
- meson (>= 0.40.0),
+ meson,
  python-gi-dev,
  python3,
  valac,
@@ -52,7 +51,7 @@
 Depends:
  gir1.2-xapp-1.0 (= ${binary:Version}),
  libgnomekbd-dev,
- libgtk-3-dev (>= 3.3.16),
+ libgtk-3-dev,
  libxapp1 (= ${binary:Version}),
  libxkbfile-dev,
  ${misc:Depends},

## xapp 2.4.2

=== meson_options.txt ===
option('docs',
    type: 'boolean',
    value: false,
    description: 'Build the API references (requires gtk-doc)'
)
option('deprecated_warnings',
    type : 'boolean',
    value : false,
    description: 'Show build warnings for deprecations'
)
option('py-overrides-dir',
    type : 'string',
    value : '',
    description: 'Path to pygobject overrides directory'
)
option('status-notifier',
    type: 'boolean',
    value: true,
    description: 'Build the XApp StatusNotifier service.'
)
option('app-lib-only',
    type: 'boolean',
    value: false,
    description: 'Limit build to core library only and without the keyboard layout controller. This is to allow flatpak bundlings.'
)

=== debian/changelog ===
xapp (2.4.2-3) unstable; urgency=medium

  * Remove xapp metapackage as not needed anymore
  * Update standards version to 4.6.2, no changes needed
  * d/control: replace libgdk-pixbuf2.0-dev with libgdk-pixbuf-2.0-dev
    in build-deps

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 04 Feb 2023 15:58:40 +0100

xapp (2.4.2-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 25 Dec 2022 14:13:46 +0100

xapp (2.4.2-1) experimental; urgency=medium

  * New upstream version 2.4.2
  * Merge some changes from Thomas Uhle upstream PR for some improvements:
    - Add dependencies on libcairo2-dev and libglib2.0-dev in libxapp-dev
      because are exposed to the user through header files and xapp.pc
    - Mark xapps-doc with Multi-Arch: foreign
    - Add missed build-deps libdbus-1-dev and libcairo2-dev
    - Remove explicit dependency on libgnomekbd8 from libxapp1 because
      it is already automatically added by dh_shlibdeps
    - Split xapp to new libxapp-gtk3-module and xapp-sn-watcher packages
    - Move xinitrc script xapp-gtk3-module to package libxapp-gtk3-module
    - Add recommends on libxapp-gtk3-module and xapp-sn-watcher to libxapp1
    - Introduce new package mate-xapp-status-applet to properly move the
      mate related part
  * Keep xapp as transitional package

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 03 Dec 2022 13:48:00 +0100

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,10 @@
  gobject-introspection,
  gtk-doc-tools,
  intltool,
+ libcairo2-dev,
+ libdbus-1-dev,
  libdbusmenu-gtk3-dev,
- libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf-2.0-dev,
  libgirepository1.0-dev,
  libglib2.0-dev,
  libgnomekbd-dev,
@@ -28,7 +30,7 @@
  python-gi-dev,
  python3,
  valac,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp
@@ -50,6 +52,8 @@
 Architecture: any
 Depends:
  gir1.2-xapp-1.0 (= ${binary:Version}),
+ libcairo2-dev,
+ libglib2.0-dev,
  libgnomekbd-dev,
  libgtk-3-dev,
  libxapp1 (= ${binary:Version}),
@@ -62,16 +66,36 @@
  This package provides the include files and static library for the Xapp
  library functions.
 
+Package: libxapp-gtk3-module
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ xapps-common (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks: libxapp1 (<< 2.2.6-1~), xapp (<< 2.4.2-1~), xapps-common (<< 2.4.2-1~)
+Replaces: libxapp1 (<< 2.2.6-1~), xapp (<< 2.4.2-1~), xapps-common (<< 2.4.2-1~)
+Description: GTK 3.0 module for the XApp library
+ Xapp provides components which are common to multiple desktop environments
+ and required to implement cross-DE solutions.
+ .
+ This package contains a GTK 3.0 module to make features of the XApp library
+ available to GTK 3.0 applications.
+
 Package: libxapp1
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- libgnomekbd8,
  xapps-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ libxapp-gtk3-module (= ${binary:Version}),
+ xapp-sn-watcher (= ${binary:Version}),
 Description: XApp library
  Xapp provides components which are common to multiple desktop environments
  and required to implement cross-DE solutions.
@@ -80,21 +104,46 @@
 Replaces: xapps-common (<< 2.0.6-2~)
 Breaks: nemo (<< 5.2), xapps-common (<< 2.0.6-2~)
 
-Package: xapp
+Package: mate-xapp-status-applet
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ gir1.2-gdkpixbuf-2.0,
+ gir1.2-glib-2.0,
+ gir1.2-gtk-3.0,
+ gir1.2-matepanelapplet-4.0,
+ gir1.2-xapp-1.0 (>= ${source:Version}),
+ mate-panel,
+ python3,
+ python3-gi,
+ python3-setproctitle,
+ xapps-common (>= ${source:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+Breaks: xapps-common (<< 2.4.2-1~)
+Replaces: xapps-common (<< 2.4.2-1~)
+Description: XApp status icon applet for the MATE panel
+ Xapp provides components which are common to multiple desktop environments
+ and required to implement cross-DE solutions.
+ .
+ This package contains the MATE panel applet to display XAppStatusIcon
+ indicators of several XApp apps.
+
+Package: xapp-sn-watcher
 Architecture: any
 Depends:
- libgnomekbd8,
- libxapp1 (= ${binary:Version}),
+ default-dbus-session-bus | dbus-session-bus,
  xapps-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: libxapp1 (<< 2.2.6-1~)
-Replaces: libxapp1 (<< 2.2.6-1~)
-Description: Libraries and common resources for multiple desktop environments
+Suggests: mate-xapp-status-applet
+Breaks: libxapp1 (<< 2.2.6-1~), xapp (<< 2.4.2-1~), xapps-common (<< 2.4.2-1~)
+Replaces: libxapp1 (<< 2.2.6-1~), xapp (<< 2.4.2-1~), xapps-common (<< 2.4.2-1~)
+Description: D-Bus session bus service to support the XApp library
  Xapp provides components which are common to multiple desktop environments
  and required to implement cross-DE solutions.
  .
- This package contains a gtk module and sn-watcher binary
+ This package contains xapp-sn-watcher.
 
 Package: xapps-common
 Architecture: all
@@ -112,6 +161,7 @@
 Package: xapps-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: devhelp, ${misc:Depends}
 Description: Libxapp documentation
  Xapp provides components which are common to multiple desktop environments

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -D docs=true \
	    -D deprecated_warnings=false

#
# between xapp 2.0.0 and 2.0.1, upstream switched from installing
# the Xsession file into /etc/X11/Xsession.d/ to /etc/X11/xinit/xinitrc.d/
# Debian does not support the later, but Xinit load the Xsession.
# Thus, undo this changes here
execute_before_dh_install:
	mkdir -p debian/tmp/etc/X11/Xsession.d/
	mv debian/tmp/etc/X11/xinit/xinitrc.d/80xapp-gtk3-module.sh \
	   debian/tmp/etc/X11/Xsession.d/80xapp-gtk3-module
	chmod 0644 debian/tmp/etc/X11/Xsession.d/80xapp-gtk3-module
	rmdir debian/tmp/etc/X11/xinit/xinitrc.d
	rmdir debian/tmp/etc/X11/xinit

## xapp 2.4.2+elsie

=== debian/changelog ===
xapp (2.4.2+elsie) vera; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 17:40:03 +0000

xapp (2.4.1) vera; urgency=medium

  * Fix typo

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 16 Nov 2022 10:51:55 +0000

xapp (2.4.0) vera; urgency=medium

  [ Michael Webster ]
  * Add missing build dependency.
  * Use github actions for CI builds.
  * xapp-sn-watcher: Use /dev/shm for temp files if it's available, and clean them up when exiting.
  * Add XAppVisibilityGroup.
  * xapp-debug: Print the topic name in logging output.
  * sn-item: Don't update the icon name if the tooltip was also updated.
  * sn-item: Don't update the id property unless it has changed.
  * xapp-status-icon.c: Update all icons when we lose or regain our identity on dbus.
  * xapp-sn-watcher: Add a debug key to specify flags.
  * sn-item: Silence warning caused when an app exits without notice.
  * Use G_LOG_LEVEL_MESSAGE for debugging messages.
  * favorites: Try to use a file's display name from file attributes when different than the its basename.
  * favorite-vfs-file.c: Fix memory leak.
  * build: Use gnome.mkenums_simple() to generate enum types.
  * sn-item.c: Clean up temp files when finalizing.
  * sn-item.c: Don't unref the menu during cleanup.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 15 Nov 2022 10:30:12 +0000

xapp (2.2.15) vanessa; urgency=medium

  [ Bobby Rong ]
  * libxapp: add missing gio-unix-2.0 dependency (#156)

  [ Michael Webster ]
  * xapp-status-icon-monitor.c: Fix copy/paste error.
  * xapp-status-icon.c: Make XAppStatusIconState per-process.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Sep 2022 15:37:59 +0100

## xapp 2.4.2+vera

=== debian/changelog ===
xapp (2.4.2+vera) vera; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 17:40:03 +0000

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 dpkg-dev (>= 1.15.1),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.44),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.16),
 libdbusmenu-gtk3-dev,
 libx11-dev,
 libxkbfile-dev,
 meson,
 python3,
 python-gi-dev,
 valac,
Standards-Version: 3.9.6

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Introspection data for XApp
 This package contains the introspection data for XApp.

Package: libxapp-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libxapp1 (= ${binary:Version}), ${misc:Depends}
Description: XApp library - debug symbols
 This package contains the symbols files needed to debug the XApp library.

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-xapp-1.0 (= ${binary:Version}),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libxapp1 (= ${binary:Version}),
 libxkbfile-dev,
 ${misc:Depends},
Description: XApp library - development files
 This package provides the include files and static library for the XApp
 library functions.

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libgnomekbd8,
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: XApp library
 This library is used by several Xapp apps.

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends:
 inxi,
 python3,
 python3-gi,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Description: Common files for XApp desktop apps
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).

Package: xapps-doc
Section: doc
Architecture: all
Depends: devhelp, ${misc:Depends}
Description: Libxapp documentation
 This package contains documentation for XApp library

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,now

%:
	dh $@ --with=gir,python3

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/libexec \
		-D docs=true \
		-D deprecated_warnings=false \
		--buildtype=debugoptimized

override_dh_strip:
	dh_strip --dbg-package=libxapp-dbg

## xapp 2.4.3

=== debian/changelog ===
xapp (2.4.3-1) unstable; urgency=medium

  * New upstream bugfix version 2.4.3

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 26 May 2023 11:25:35 +0200

## xapp 2.6.0+victoria

=== debian/changelog ===
xapp (2.6.0+victoria) victoria; urgency=medium

  [ Michael Webster ]
  * favorite-vfs-file.c: Lock the settings object when modifying root metadata.
  * Fix ENABLE_DEBUG definition in the build.
  * xapp-sn-watcher: Silence warnings from dbus-menu when not in debug mode.

  [ Joseph Wang ]
  * add missing gmodule depends (#161)

  [ Michael Webster ]
  * build: Remove a workaround for gdbus-codegen.
  * build: Update symbols file.
  * build: Fix build for meson < 0.60
  * build: Install xapp-sn-watcher to an arch-specific location.
  * favorites: Use generic getter for content type check.
  * sn-item.c: Don't set an empty dbusmenu widget when we receive /NO_DBUSMENU as a path (Qt default menu path when no menu is set).
  * xapp-status-icon.c: Don't destroy the dummy event window too early.

  [ Thomas Uhle ]
  * Use generic pattern for the build directory in `.gitignore`
  * debian: Strip leading slashes from paths in *.install files
  * debian: Amend copyright file

  [ Clement Lefebvre ]
  * debian: Amend rules file
  * debian: Install xinitrc script `80xapp-gtk3-module.sh` to /etc/X11/Xsession.d

  [ Thomas Uhle ]
  * makedoc: Update target URL
  * debian: Clean up control file
  * debian: Add lintian-overrides files

  [ Michael Webster ]
  * Add XAppGpuOffloadHelper.
  * Add a launcher for offloading.
  * github workflow: Add optional ssh session.
  * Add XAppDarkModeManager to allow support for XDG desktop settings portal from Gtk3 apps.
  * debian: Change how the old xinit script is removed during install.
  * debian: Update .symbols.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 10:16:15 +0100

xapp (2.4.2) vera; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 17:40:03 +0000

## xapp 2.6.1

=== debian/changelog ===
xapp (2.6.1-1) unstable; urgency=medium

  [ Joshua Peisach ]
  * New upstream version 2.6.1

  [ Fabio Fantoni ]
  * d/rules: remove workaround for move and rename Xsession file
    now fixed upstream
  * Update symbols

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 26 Jun 2023 10:45:52 +0200

## xapp 2.6.1+faye

=== debian/changelog ===
xapp (2.6.1+faye) victoria; urgency=medium

  [ Clement Lefebvre ]
  * Update documentation

  [ Michael Webster ]
  * xapp-gpu-offload-helper.c: Check the GLib version before using g_memdup2.
  * xapp-debug.c: build only with ENABLE_DEBUG.
  * xapp-sn-watcher.c: Don't exit if XDG_CURRENT_DESKTOP isn't set.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:05:44 +0100

xapp (2.6.0) victoria; urgency=medium

  [ Michael Webster ]
  * favorite-vfs-file.c: Lock the settings object when modifying root metadata.
  * Fix ENABLE_DEBUG definition in the build.
  * xapp-sn-watcher: Silence warnings from dbus-menu when not in debug mode.

  [ Joseph Wang ]
  * add missing gmodule depends (#161)

  [ Michael Webster ]
  * build: Remove a workaround for gdbus-codegen.
  * build: Update symbols file.
  * build: Fix build for meson < 0.60
  * build: Install xapp-sn-watcher to an arch-specific location.
  * favorites: Use generic getter for content type check.
  * sn-item.c: Don't set an empty dbusmenu widget when we receive /NO_DBUSMENU as a path (Qt default menu path when no menu is set).
  * xapp-status-icon.c: Don't destroy the dummy event window too early.

  [ Thomas Uhle ]
  * Use generic pattern for the build directory in `.gitignore`
  * debian: Strip leading slashes from paths in *.install files
  * debian: Amend copyright file

  [ Clement Lefebvre ]
  * debian: Amend rules file
  * debian: Install xinitrc script `80xapp-gtk3-module.sh` to /etc/X11/Xsession.d

  [ Thomas Uhle ]
  * makedoc: Update target URL
  * debian: Clean up control file
  * debian: Add lintian-overrides files

  [ Michael Webster ]
  * Add XAppGpuOffloadHelper.
  * Add a launcher for offloading.
  * github workflow: Add optional ssh session.
  * Add XAppDarkModeManager to allow support for XDG desktop settings portal from Gtk3 apps.
  * debian: Change how the old xinit script is removed during install.
  * debian: Update .symbols.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 10:16:15 +0100

## xapp 2.6.1+victoria

=== debian/changelog ===
xapp (2.6.1+victoria) victoria; urgency=medium

  [ Clement Lefebvre ]
  * Update documentation

  [ Michael Webster ]
  * xapp-gpu-offload-helper.c: Check the GLib version before using g_memdup2.
  * xapp-debug.c: build only with ENABLE_DEBUG.
  * xapp-sn-watcher.c: Don't exit if XDG_CURRENT_DESKTOP isn't set.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:05:44 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,now

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/libexec \
		-D docs=true \
		-D deprecated_warnings=false \
		-D debian_derivative=true \
		--buildtype=debugoptimized

override_dh_strip:
	dh_strip --dbg-package=libxapp-dbg

## xapp 2.8.0

=== debian/changelog ===
xapp (2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 25 Nov 2023 14:46:31 +0100

## xapp 2.8.0+virginia

=== debian/changelog ===
xapp (2.8.0+virginia) virginia; urgency=medium

  [ Michael Webster ]
  * Add github issue templates.
  * xapp-gtk3-module.c: Use the 'realize' signal to trigger injecting the favorites:// uri into the sidebar places.
  * xapp-sn-watcher.c: Mute some warning messages from more of dbus-menu, gtk.

  [ Rick Calixte ]
  * Fix meson.build deprecations up to 0.56.0 (#172)

  [ Michael Webster ]
  * Update issue template with a link to open and closed issues.
  * Remove unused includes, bump required gtk version.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Nov 2023 10:39:22 +0000

xapp (2.6.1) victoria; urgency=medium

  [ Clement Lefebvre ]
  * Update documentation

  [ Michael Webster ]
  * xapp-gpu-offload-helper.c: Check the GLib version before using g_memdup2.
  * xapp-debug.c: build only with ENABLE_DEBUG.
  * xapp-sn-watcher.c: Don't exit if XDG_CURRENT_DESKTOP isn't set.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:05:44 +0100

## xapp 2.8.1+virginia

=== debian/changelog ===
xapp (2.8.1+virginia) virginia; urgency=medium

  * Update docs
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:18:24 +0000

xapp (2.8.0) virginia; urgency=medium

  [ Michael Webster ]
  * Add github issue templates.
  * xapp-gtk3-module.c: Use the 'realize' signal to trigger injecting the favorites:// uri into the sidebar places.
  * xapp-sn-watcher.c: Mute some warning messages from more of dbus-menu, gtk.

  [ Rick Calixte ]
  * Fix meson.build deprecations up to 0.56.0 (#172)

  [ Michael Webster ]
  * Update issue template with a link to open and closed issues.
  * Remove unused includes, bump required gtk version.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Nov 2023 10:39:22 +0000

## xapp 2.8.2

=== meson_options.txt ===
--- 
+++ 
@@ -23,4 +23,8 @@
     value: false,
     description: 'Limit build to core library only and without the keyboard layout controller. This is to allow flatpak bundlings.'
 )
-
+option('debian_derivative',
+    type: 'boolean',
+    value: false,
+    description: 'Use paths specific to Debian and derivatives.'
+)

=== debian/changelog ===
xapp (2.8.2-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:34:06 +0000

xapp (2.8.2-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:57:50 +0000

xapp (2.8.2-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:08:15 +0000

xapp (2.8.2-1) unstable; urgency=medium

  * New upstream version 2.8.2
  * d/control:
    - add full gir packages dependencies include the ones that are
      virtual for now
    - python3:any instead python3 in build-deps

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 07 Jan 2024 19:57:23 +0100

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Norbert Preining <norbert@preining.info>,
 Christoph Martin <martin@uni-mainz.de>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-python3,
 gobject-introspection,
 gtk-doc-tools,
 intltool,
 libcairo2-dev,
 libdbus-1-dev,
 libdbusmenu-gtk3-dev,
 libgdk-pixbuf-2.0-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgnomekbd-dev,
 libgtk-3-dev,
 libx11-dev,
 libxkbfile-dev,
 meson,
 python-gi-dev,
 python3:any,
 valac,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp
Vcs-Git: https://salsa.debian.org/cinnamon-team/xapp.git

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Introspection data for Xapp
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains the introspection data for Xapp.
Breaks: cinnamon (<< 5.2), cinnamon-screensaver (<< 4.0)

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-xapp-1.0 (= ${binary:Version}),
 libcairo2-dev,
 libglib2.0-dev,
 libgnomekbd-dev,
 libgtk-3-dev,
 libxapp1 (= ${binary:Version}),
 libxkbfile-dev,
 ${misc:Depends},
Description: XApp library - development files
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package provides the include files and static library for the Xapp
 library functions.

Package: libxapp-gtk3-module
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: libxapp1 (<< 2.2.6-1~), xapp (<< 2.4.2-1~), xapps-common (<< 2.4.2-1~)
Replaces:
 libxapp1 (<< 2.2.6-1~),
 xapp (<< 2.4.2-1~),
 xapps-common (<< 2.4.2-1~),
Description: GTK 3.0 module for the XApp library
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains a GTK 3.0 module to make features of the XApp library
 available to GTK 3.0 applications.

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libxapp-gtk3-module (= ${binary:Version}),
 xapp-sn-watcher (= ${binary:Version}),
Description: XApp library
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This library is used by several Xapp apps.
Replaces: xapps-common (<< 2.0.6-2~)
Breaks: nemo (<< 5.2), xapps-common (<< 2.0.6-2~)

Package: mate-xapp-status-applet
Architecture: all
Multi-Arch: foreign
Depends:
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gio-2.0,
 gir1.2-glib-2.0,
 gir1.2-gobject-2.0,
 gir1.2-gtk-3.0,
 gir1.2-matepanelapplet-4.0,
 gir1.2-xapp-1.0 (>= ${source:Version}),
 mate-panel,
 python3,
 python3-gi,
 python3-setproctitle,
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Breaks: xapps-common (<< 2.4.2-1~)
Replaces: xapps-common (<< 2.4.2-1~)
Description: XApp status icon applet for the MATE panel
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains the MATE panel applet to display XAppStatusIcon
 indicators of several XApp apps.

Package: xapp-sn-watcher
Architecture: any
Depends:
 default-dbus-session-bus | dbus-session-bus,
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: mate-xapp-status-applet
Breaks: libxapp1 (<< 2.2.6-1~), xapp (<< 2.4.2-1~), xapps-common (<< 2.4.2-1~)
Replaces:
 libxapp1 (<< 2.2.6-1~),
 xapp (<< 2.4.2-1~),
 xapps-common (<< 2.4.2-1~),
Description: D-Bus session bus service to support the XApp library
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains xapp-sn-watcher.

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends:
 python3,
 python3-gi,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Recommends: inxi, netcat
Description: Files that are common across Xapp desktop applications
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).
Breaks: cinnamon (<< 4.0)

Package: xapps-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: devhelp, ${misc:Depends}
Description: Libxapp documentation
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains documentation for Xapp library

## xapp 2.8.2+faye

=== debian/changelog ===
xapp (2.8.2+faye) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:04:50 +0000

xapp (2.8.1) virginia; urgency=medium

  * Update docs
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:18:24 +0000

## xapp 2.8.2+virginia

=== debian/changelog ===
xapp (2.8.2+virginia) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:04:50 +0000

## xapp 2.8.2+wilma

=== debian/changelog ===
xapp (2.8.2+wilma) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:04:50 +0000

## xapp 2.8.3

=== debian/changelog ===
xapp (2.8.3-1) unstable; urgency=medium

  * New upstream version 2.8.3
  * Update standards version to 4.7.0, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 09 Jun 2024 20:16:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xapp
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -31,7 +30,7 @@
  python-gi-dev,
  python3:any,
  valac,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp

## xapp 2.8.3+wilma

=== debian/changelog ===
xapp (2.8.3+wilma) wilma; urgency=medium

  [ Michael Webster ]
  * Add new gsettings keys for xdg Settings portal v2.
  * gsettings: Fix a default value.

  [ Clement Lefebvre ]
  * Remove accent-rgb setting

  [ Michael Webster ]
  * xapp-icon-chooser-dialog.c: Fix mimetype test for browsed images.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 04 Jun 2024 15:30:42 +0100

xapp (2.8.2) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:04:50 +0000

## xapp 2.8.4

=== debian/changelog ===
xapp (2.8.4-1) unstable; urgency=medium

  * New upstream version 2.8.4

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 22 Jun 2024 10:07:37 +0200

## xapp 2.8.4+wilma

=== debian/changelog ===
xapp (2.8.4+wilma) wilma; urgency=medium

  [ Michael Webster ]
  * visibility-group: Use g_new instead of deprecated g_slice.
  * visibility-group: Use a GWeakNotify instead of the destroy signal for automatic widget removal.
  * xapp-visibility-group: add missing declaration in header file.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 20:58:34 +0100

xapp (2.8.3) wilma; urgency=medium

  [ Michael Webster ]
  * Add new gsettings keys for xdg Settings portal v2.
  * gsettings: Fix a default value.

  [ Clement Lefebvre ]
  * Remove accent-rgb setting

  [ Michael Webster ]
  * xapp-icon-chooser-dialog.c: Fix mimetype test for browsed images.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 04 Jun 2024 15:30:42 +0100

## xapp 2.8.5

=== meson_options.txt ===
--- 
+++ 
@@ -28,3 +28,13 @@
     value: false,
     description: 'Use paths specific to Debian and derivatives.'
 )
+option('mate',
+    type: 'boolean',
+    value: true,
+    description: 'Install mate specific items.'
+)
+option('xfce',
+    type: 'boolean',
+    value: true,
+    description: 'Install xfce specific items.'
+)

=== debian/changelog ===
xapp (2.8.5-1) unstable; urgency=medium

  * d/gbp.conf: switch to DEP-14
  * Add d/README.source with a wiki link with details about packaging
  * New upstream version 2.8.5

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 19 Aug 2024 20:18:41 +0200

## xapp 2.8.5+faye

=== debian/changelog ===
xapp (2.8.5+faye) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:43:48 +0100

xapp (2.8.4) wilma; urgency=medium

  [ Michael Webster ]
  * visibility-group: Use g_new instead of deprecated g_slice.
  * visibility-group: Use a GWeakNotify instead of the destroy signal for automatic widget removal.
  * xapp-visibility-group: add missing declaration in header file.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 20:58:34 +0100

## xapp 2.8.5+wilma

=== debian/changelog ===
xapp (2.8.5+wilma) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:43:48 +0100

## xapp 2.8.6

=== debian/changelog ===
xapp (2.8.6-1~mx23) mx; urgency=medium

  * Backport for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 26 Jan 2025 16:25:49 +0000

xapp (2.8.6-1) unstable; urgency=medium

  * New upstream version 2.8.6

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 01 Dec 2024 21:29:19 +0100

## xapp 2.8.6+xia

=== debian/changelog ===
xapp (2.8.6+xia) xia; urgency=medium

  [ Michael Webster ]
  * mate-xapp-status-applet: Fix application theme provider due to PyGObject bug.

  [ Matt Turnbull ]
  * Allow installing gi override to multiple python installations (#183)
  * Add option to disable building introspection and vala bindings. (#184)

  [ Michael Webster ]
  * xapp-icon-chooser-button.c: Use gtk_widget_destroy() to clean up the dialog window.
  * xapp-icon-chooser-button.c: Fix a build warning.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2024 10:17:31 +0000

xapp (2.8.5) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:43:48 +0100

## xapp 2.8.7+xia

=== debian/changelog ===
xapp (2.8.7+xia) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:56:38 +0000

xapp (2.8.6) xia; urgency=medium

  [ Michael Webster ]
  * mate-xapp-status-applet: Fix application theme provider due to PyGObject bug.

  [ Matt Turnbull ]
  * Allow installing gi override to multiple python installations (#183)
  * Add option to disable building introspection and vala bindings. (#184)

  [ Michael Webster ]
  * xapp-icon-chooser-button.c: Use gtk_widget_destroy() to clean up the dialog window.
  * xapp-icon-chooser-button.c: Fix a build warning.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2024 10:17:31 +0000

## xapp 2.8.8

=== debian/changelog ===
xapp (2.8.8-1) unstable; urgency=medium

  * New upstream version 2.8.8
  * Improve d/gbp.conf
  * d/salsa-ci: improve include of default config
  * d/control: replace old site in homepage with upstream repository

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 25 Jan 2025 16:05:28 +0100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  valac,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: http://cinnamon.linuxmint.com/
+Homepage: https://github.com/linuxmint/xapp
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp
 Vcs-Git: https://salsa.debian.org/cinnamon-team/xapp.git

## xapp 2.8.8+faye

=== debian/changelog ===
xapp (2.8.8+faye) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2025 14:17:49 +0000

xapp (2.8.7) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:56:38 +0000

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-sequence-gir,
 dh-sequence-python3,
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libcairo2-dev,
 libdbus-1-dev,
 libdbusmenu-gtk3-dev,
 libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.44),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.16),
 libx11-dev,
 libxkbfile-dev,
 meson,
 python-gi-dev,
 python3,
 valac,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://projects.linuxmint.com/xapp/reference/
Vcs-Browser: https://github.com/linuxmint/xapp
Vcs-Git: https://github.com/linuxmint/xapp.git

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${python3:Depends},
Description: Introspection data for XApp
 This package contains the introspection data for XApp.

Package: libxapp-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libxapp1 (= ${binary:Version}), ${misc:Depends}
Description: XApp library - debug symbols
 This package contains the symbols files needed to debug the XApp library.

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-xapp-1.0 (= ${binary:Version}),
 libcairo2-dev,
 libglib2.0-dev (>= 2.44),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.16),
 libxapp1 (= ${binary:Version}),
 libxkbfile-dev,
 ${misc:Depends},
Description: XApp library - development files
 This package provides the include files and static library for the XApp
 library functions.

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: XApp library
 This library is used by several XApp apps.

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends:
 inxi,
 netcat,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Description: Common files for XApp desktop apps
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).

Package: xapps-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: devhelp, ${misc:Depends}
Description: Libxapp documentation
 This package contains the documentation for the XApp library.

## xapp 2.8.8+xia

=== debian/changelog ===
xapp (2.8.8+xia) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2025 14:17:49 +0000

## xapp 2.8.9+zara

=== debian/changelog ===
xapp (2.8.9+zara) xia; urgency=medium

  [ Michael Webster ]
  * xapp-favorites.c: Fix g-ir-scanner warning during build.
  * debian/control: Clean up libgdk-pixbuf depends.
  * Add xdg-desktop-portal accent-rgb setting. (#191)

  [ Clement Lefebvre ]
  * Revert "xapp-sn-watcher: Don't enable in MATE"

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 21 May 2025 12:51:08 +0100

xapp (2.8.8) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2025 14:17:49 +0000

## xapp 2.8.10+zara

=== debian/changelog ===
xapp (2.8.10+zara) zara; urgency=medium

  [ Jan ]
  *  Improve discrete GPU detection using switcheroo-control (#178)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 30 Jul 2025 16:16:29 +0200

xapp (2.8.9) xia; urgency=medium

  [ Michael Webster ]
  * xapp-favorites.c: Fix g-ir-scanner warning during build.
  * debian/control: Clean up libgdk-pixbuf depends.
  * Add xdg-desktop-portal accent-rgb setting. (#191)

  [ Clement Lefebvre ]
  * Revert "xapp-sn-watcher: Don't enable in MATE"

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 21 May 2025 12:51:08 +0100

## xapp 2.8.11+zara

=== debian/changelog ===
xapp (2.8.11+zara) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 12:35:34 +0200

xapp (2.8.10) zara; urgency=medium

  [ Jan ]
  *  Improve discrete GPU detection using switcheroo-control (#178)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 30 Jul 2025 16:16:29 +0200

## xapp 2.8.12+gigi

=== debian/changelog ===
xapp (2.8.12+gigi) zara; urgency=medium

  [ Michael Webster ]
  * xapp-gpu-offload-helper.h: Move new GpuInfo member to the end.
  * xapp-gpu-offload-helper: Remove XAppGpuInfo.is_discrete member.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Aug 2025 16:21:49 +0200

xapp (2.8.11) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 12:35:34 +0200

## xapp 2.8.12+zara

=== debian/changelog ===
xapp (2.8.12+zara) zara; urgency=medium

  [ Michael Webster ]
  * xapp-gpu-offload-helper.h: Move new GpuInfo member to the end.
  * xapp-gpu-offload-helper: Remove XAppGpuInfo.is_discrete member.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Aug 2025 16:21:49 +0200
